﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Input;

namespace PagesTest.ViewModel
{
    public class MainViewModel : ViewModelBase
    {


        /// <summary>
        /// Kommentar 
        /// </summary>
        private ViewModelBase _currentViewModel;
        public ViewModelBase CurrentViewModel { get=> _currentViewModel; set=> SetValue(ref _currentViewModel,value); }

        public ICommand SwitchViewCommand { get; private set; }

        public MainViewModel()
        {
            CurrentViewModel = new FirstViewModel();
            SwitchViewCommand = new RelayCommand(SwitchViewModel);
        }

        private void SwitchViewModel(object obj)
        {
            if (CurrentViewModel is FirstViewModel)
            {
                CurrentViewModel = new SecondViewModel();
            }
            else
            {
                CurrentViewModel = new FirstViewModel();
            }
        }
    }
}
